promtool(1)

NAME
promtool - Tooling for the Prometheus monitoring system

SYNOPSIS

promtool [<flags>] <command> [<args> ...]

DESCRIPTION
Tooling for the Prometheus monitoring system.

OPTIONS

-h, --help
    Show context-sensitive help (also try --help-long and --help-man).

--version
    Show application version.

COMMANDS

  help [<command>...]

Show help.

  check config <config-files>...

Check if the config files are valid or not.

  check rules <rule-files>...

Check if the rule files are valid or not.

  check metrics

Pass Prometheus metrics over stdin to lint them for consistency and correctness.

examples:

$ cat metrics.prom | promtool check metrics

$ curl -s http://localhost:9090/metrics | promtool check metrics

  update rules <rule-files>...

Update rules from the 1.x to 2.x format.